Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`trial`.`_dist`.`workerreporter``

module documentation
(source)

Test reporter forwarding test results over trial distributed AMP commands.

Present Since
12.3

Class | `ReportingResults` | A mutable container for the result of sending test results back to the parent process.
Class | `WorkerReporter` | Reporter for trial's distributed workers. We send things not through a stream, but through an `AMP` protocol's `callRemote` method.
Async Function | `addError` | Send an error to the worker manager over an AMP connection.
Async Function | `addExpectedFailure` | Like `addError` but for expected failures.
Async Function | `addFailure` | Like L{addError} but for failures.
Type Variable | `T` | Undocumented

async def addError(amp: `AMP`, testName: `str`, errorClass: `str`, error: `str`, frames: `List[str]`): (source)

Send an error to the worker manager over an AMP connection.

First the pieces which can be large are streamed over the connection. Then, `managercommands.AddError` is called with the rest of the information and the stream IDs.

:param amp: The connection to use. :param testName: The name (or ID) of the test the error relates to. :param errorClass: The fully qualified name of the error type. :param error: The string representation of the error. :param frames: The lines of the traceback associated with the error.

async def addExpectedFailure(amp: `AMP`, testName: `str`, error: `str`, todo: `str`): (source)

Like `addError` but for expected failures.

:param amp: See `addError` :param testName: See `addError` :param error: The string representation of the expected failure. :param todo: The string description of the expectation.

async def addFailure(amp: `AMP`, testName: `str`, fail: `str`, failClass: `str`, frames: `List[str]`): (source)

Like L{addError} but for failures. :param amp: See L{addError} :param testName: See L{addError} :param failClass: The fully qualified name of the exception associated with the failure. :param fail: The string representation of the failure. :param frames: The lines of the traceback associated with the error.

T = (source)

Undocumented

Value

    TypeVar('T')